uniform lowp sampler2D TEXTURE0;
uniform lowp sampler2D TEXTURE1;
uniform lowp float FADE;
uniform lowp vec4 COLOR;

varying lowp vec4 Color;
varying mediump vec2 TexCoord;

uniform highp float TIME;

void main()
{
	lowp vec4 texColour = texture2D(TEXTURE0, vec2(TexCoord.x, TexCoord.y - TIME)) * (1.0 - FADE)
						+ texture2D(TEXTURE1, vec2(TexCoord.x, TexCoord.y - TIME)) * FADE;
	
	gl_FragColor = texColour * Color * COLOR;
}
