uniform lowp sampler2D TEXTURE0;

varying mediump vec2 TexCoord0;
varying mediump vec2 TexCoord1;
varying mediump vec2 TexCoord1n;
varying mediump vec2 TexCoord2;
varying mediump vec2 TexCoord2n;

void main()
{
	/* mediump color dlatego bo sumuje */
	mediump vec3 color;

	/*Dalem nie z trojkata Pascala liczby tylko z koleczka.
	  Lepiej bo trojkacie pascala te skrajne mialy mega male wartosci i nic nie wnosily prawie.
	  Dzieki temu moge uzyc 5 sampli zamiast 7 i taki sam wizualnie efekt
	*/
	
	/* Specjalnie co 2, bo to taki trick by interpolowac wiecej dzieki filtrowaniu tekstury na karcie graficznej*/
	color  = texture2D(TEXTURE0, TexCoord0 ).rgb * 0.228502;
	color += texture2D(TEXTURE0, TexCoord1 ).rgb * 0.215434;
	color += texture2D(TEXTURE0, TexCoord1n).rgb * 0.215434;
	color += texture2D(TEXTURE0, TexCoord2 ).rgb * 0.170315;
	color += texture2D(TEXTURE0, TexCoord2n).rgb * 0.170315;

	gl_FragColor = vec4(color, 1.0);
}
