uniform lowp sampler2D TEXTURE0;

varying mediump vec2 TexCoord0;
varying mediump vec2 TexCoord1;
varying mediump vec2 TexCoord1n;
varying mediump vec2 TexCoord2;
varying mediump vec2 TexCoord2n;
varying mediump vec2 TexCoord3;
varying mediump vec2 TexCoord3n;
varying mediump vec2 TexCoord4;
varying mediump vec2 TexCoord4n;

void main()
{
	mediump vec3 color;

	/* Specjalnie co 2, bo to taki trick by interpolowac wiecej dzieki filtrowaniu tekstury na karcie graficznej*/
	color  = texture2D(TEXTURE0, TexCoord0 ).rgb * 0.131707;
	color += texture2D(TEXTURE0, TexCoord1 ).rgb * 0.129046;
	color += texture2D(TEXTURE0, TexCoord1n).rgb * 0.129046;
	color += texture2D(TEXTURE0, TexCoord2 ).rgb * 0.120711;
	color += texture2D(TEXTURE0, TexCoord2n).rgb * 0.120711;
	color += texture2D(TEXTURE0, TexCoord3 ).rgb * 0.105365;
	color += texture2D(TEXTURE0, TexCoord3n).rgb * 0.105365;
	color += texture2D(TEXTURE0, TexCoord4 ).rgb * 0.079024;
	color += texture2D(TEXTURE0, TexCoord4n).rgb * 0.079024;
	
	gl_FragColor = vec4(color, 1.0);
}
