uniform mediump mat3 EVIRONMENT_TEXTURE_MATRIX;

uniform mediump float PARALAX_STRENGHT;

uniform lowp vec4 MATERIAL_DIFFUSE;
uniform lowp vec3 MATERIAL_ENVIRONMENT;

/* enviroment map */
uniform lowp samplerCube TEXTURE1;

varying lowp vec3 Normal;
varying mediump vec2 TexCoord;
varying mediump vec3 ViewDirAndDist;

void main()
{	
	mediump vec3 envDir = -reflect(normalize(ViewDirAndDist), Normal); /* minus bo viewDir to eye-vertex, a reflect to ViewDir - 2*dot(ViewDir, normal) * normal */
	mediump vec3 envTexCoord = EVIRONMENT_TEXTURE_MATRIX * envDir;	
	lowp vec3 enviroment = MATERIAL_ENVIRONMENT * textureCube(TEXTURE1, envTexCoord).rgb;	

	gl_FragColor = vec4(enviroment, MATERIAL_DIFFUSE.a);
}
