uniform lowp vec4 MATERIAL_DIFFUSE;

/* Diffuse */
uniform lowp sampler2D TEXTURE0;

/* Lightmap */
uniform lowp sampler2D TEXTURE2;

varying mediump vec2 TexCoord;
varying mediump vec2 TexCoord2;

void main()
{	
	gl_FragColor = texture2D(TEXTURE0, TexCoord) * texture2D(TEXTURE2, TexCoord2) * MATERIAL_DIFFUSE;	
}
