uniform mediump mat4 PROJECTIONMATRIX;
uniform mediump mat4 MODELVIEWMATRIX;

uniform mediump float STEP_H;

attribute mediump vec3 inVertex;
attribute mediump vec2 inTexCoord;

varying mediump vec2 TexCoord0;
varying mediump vec2 TexCoord1;
varying mediump vec2 TexCoord1n;
varying mediump vec2 TexCoord2;
varying mediump vec2 TexCoord2n;

void main(void)
{
	gl_Position = PROJECTIONMATRIX * (MODELVIEWMATRIX * vec4(inVertex, 1.0));
	
	/* Specjalnie co 2, bo to taki trick by interpolowac wiecej dzieki filtrowaniu tekstury na karcie graficznej*/	
	
	TexCoord0 = inTexCoord;
	TexCoord1  = vec2(inTexCoord.x + 1.5 * STEP_H, inTexCoord.y);
	TexCoord1n = vec2(inTexCoord.x - 1.5 * STEP_H, inTexCoord.y);
	TexCoord2  = vec2(inTexCoord.x + 3.5 * STEP_H, inTexCoord.y);
	TexCoord2n = vec2(inTexCoord.x - 3.5 * STEP_H, inTexCoord.y);
}