uniform mediump mat4 PROJECTIONMATRIX;
uniform mediump mat4 MODELVIEWMATRIX;

attribute highp vec3 inVertex;

uniform highp float FAR_PLANE;

varying highp float depth;

void main(void)
{
	 vec4 vertex = PROJECTIONMATRIX * (MODELVIEWMATRIX * vec4(inVertex, 1.0));
	 gl_Position = vertex;
	 depth = vertex.z / FAR_PLANE;
}