uniform mediump mat4 PROJECTIONMATRIX;
uniform mediump mat4 MODELVIEWMATRIX;

attribute mediump vec3 inVertex;
attribute mediump vec2 inTexCoord;

varying mediump vec2 TexCoord;

void main(void)
{
	gl_Position = PROJECTIONMATRIX * (MODELVIEWMATRIX * vec4(inVertex, 1.0));
	TexCoord = inTexCoord;	
}