uniform mediump mat4 PROJECTIONMATRIX;
uniform mediump mat4 MODELVIEWMATRIX;

uniform mediump vec2 GLOW_TEXTURE_OFFSET;

attribute highp vec3 inVertex;
attribute mediump vec2 inTexCoord;

varying mediump vec2 TexCoord;
varying mediump vec2 GlowTexCoord;

void main(void)
{
	gl_Position = PROJECTIONMATRIX * (MODELVIEWMATRIX * vec4(inVertex, 1.0));
	TexCoord = inTexCoord;
	GlowTexCoord = inTexCoord + GLOW_TEXTURE_OFFSET;
}