uniform mediump mat4 PROJECTIONMATRIX;

/* tu musi byc highp bo vapor nie ma macierzy modelView tylko view, a juz mesh jest w world.
   I na mediump ogromne niedokladnosci powstawaly
*/

uniform highp mat4 MODELVIEWMATRIX; 

attribute highp vec3 inVertex;
attribute mediump vec2 inTexCoord;

varying mediump vec2 TexCoord;
varying mediump float Distance;

void main(void)
{
	vec4 vertex = MODELVIEWMATRIX * vec4(inVertex, 1.0);
	gl_Position = PROJECTIONMATRIX * vertex;
	TexCoord = inTexCoord;

	Distance = -vertex.z;
}