uniform lowp sampler2D TEXTURE0;

varying mediump vec2 TexCoord0;
varying mediump vec2 TexCoord1;
varying mediump vec2 TexCoord2;
varying mediump vec2 TexCoord3;

void main()
{
	/* mediump color dlatego bo sumuje */
	mediump vec3 color;
	
	color  = texture2D(TEXTURE0, TexCoord0 ).rgb;
	color += texture2D(TEXTURE0, TexCoord1 ).rgb;
	color += texture2D(TEXTURE0, TexCoord2 ).rgb;
	color += texture2D(TEXTURE0, TexCoord3 ).rgb;

	gl_FragColor = vec4(color * 0.25, 1.0);
}
