uniform lowp sampler2D TEXTURE0;

varying mediump vec2 TexCoord;

varying highp float depth;

void main()
{
	if (texture2D(TEXTURE0, TexCoord).a < 0.5) discard;
	/*if (texture2D(TEXTURE0, TexCoord).a <= 0.0) discard;*/

	highp vec4 p = vec4(depth, fract(depth * 256.0), fract(depth * 65536.0), fract(depth * 16777216.0));	
	
	/*Tak jest OK, ale wolniej:
	gl_FragColor = floor(p * 256.0) / 256.0;*/
	
	const highp vec4 bitMsk = vec4( 1.0 / 256.0,
									1.0 / 256.0,
									1.0 / 256.0,
									0.0);
							 
	gl_FragColor = p - p.yzww * bitMsk;		
}
