uniform mediump float STEP;
uniform mediump float LIGHTNESS;
uniform mediump float REDISH;

uniform lowp sampler2D TEXTURE0;

varying mediump vec2 TexCoord;

void main()
{
	mediump vec2 offset = -(TexCoord - vec2(0.5)) * STEP;
	
	/*	Nie moge w 1 linii bo na iPhonie cos sie kopie wtedy	*/
	mediump vec3 color = texture2D(TEXTURE0, TexCoord).rgb; 
	color += texture2D(TEXTURE0, TexCoord + offset).rgb; 
	color += texture2D(TEXTURE0, TexCoord + offset * 2.0).rgb; 
	color += texture2D(TEXTURE0, TexCoord + offset * 3.0).rgb; 
	color += texture2D(TEXTURE0, TexCoord + offset * 4.0).rgb; 
	color /= 5.0;
		
	color += vec3(LIGHTNESS);
	
	color = vec3(1.0, 0.0, 0.0) * REDISH + color * (1.0 - REDISH);
		
	gl_FragColor = vec4(color, 1.0);
}
