uniform lowp sampler2D TEXTURE0;

/* Lightmap */
uniform lowp sampler2D TEXTURE2;

varying lowp vec4 Color;
varying mediump vec2 TexCoord;
varying mediump vec2 TexCoord2;

void main()
{
	lowp vec4 materialColor = texture2D(TEXTURE0, TexCoord);
	lowp vec3 lightmap = texture2D(TEXTURE2, TexCoord2).rgb;
	
	gl_FragColor = vec4(materialColor.rgb * (Color.rgb + lightmap),	Color.a);
}
