uniform mediump mat3 EVIRONMENT_TEXTURE_MATRIX;

uniform lowp vec3 MATERIAL_ENVIRONMENT;

/* enviroment map */
uniform lowp samplerCube TEXTURE1;

varying lowp vec3 Normal;
varying mediump vec3 ViewDirAndDist;

void main()
{	
	mediump vec3 ViewDir = normalize(ViewDirAndDist);

	/*mediump vec3 envDir = -(ViewDir + Normal);*/
	mediump vec3 envDir = reflect(Normal, ViewDir);
	mediump vec3 envTexCoord = EVIRONMENT_TEXTURE_MATRIX * envDir;	
	lowp vec3 enviroment = textureCube(TEXTURE1, envTexCoord).rgb;	
	
	gl_FragColor = vec4(enviroment * MATERIAL_ENVIRONMENT, 1.0);				
}
