uniform lowp sampler2D TEXTURE0;
uniform lowp sampler2D TEXTURE1;
uniform lowp float FADE;

varying lowp vec4 Color;
varying mediump vec2 TexCoord;

void main()
{
	lowp vec4 texColour = texture2D(TEXTURE0, TexCoord) * (1.0 - FADE)
				   + texture2D(TEXTURE1, TexCoord) * FADE;
	gl_FragColor = texColour + Color;
}
