uniform mediump mat4 PROJECTIONMATRIX;
uniform mediump mat4 MODELVIEWMATRIX;

uniform mediump float SIZE;

attribute highp vec3 inVertex;
attribute mediump vec2 inTexCoord;
attribute lowp vec4 inColor;

varying lowp vec4 Color;
varying mediump vec2 TexCoord;

void main(void)
{
	gl_Position = PROJECTIONMATRIX * (MODELVIEWMATRIX * vec4(inVertex.x, inVertex.y, inVertex.z * SIZE, 1.0));
	Color = inColor;
	TexCoord = inTexCoord;
}
