uniform mediump mat4 PROJECTIONMATRIX;
uniform mediump mat4 MODELVIEWMATRIX;

uniform mediump float SIZE;

uniform highp float FAR_PLANE;

attribute highp vec3 inVertex;

varying highp float depth;

void main(void)
{
	 vec4 vertex = PROJECTIONMATRIX * (MODELVIEWMATRIX * vec4(inVertex.x, inVertex.y, inVertex.z * SIZE, 1.0));
	 gl_Position = vertex;
	 depth = vertex.z / FAR_PLANE;
}
