uniform mediump mat4 PROJECTIONMATRIX;
uniform mediump mat4 MODELVIEWMATRIX;

uniform mediump float STEP_H;
uniform mediump float STEP_V;

attribute mediump vec3 inVertex;
attribute mediump vec2 inTexCoord;

varying mediump vec2 TexCoord0;
varying mediump vec2 TexCoord1;
varying mediump vec2 TexCoord2;
varying mediump vec2 TexCoord3;

void main(void)
{
	gl_Position = PROJECTIONMATRIX * (MODELVIEWMATRIX * vec4(inVertex, 1.0));
	
	/* DOBRZE JEST
	   Bo to chodzi o to, ze interpoluje z mniejszej do wiekszej rozdzielczosci
	   Widac to na rysunku jak sie narysuje male i duze kratki dlaczego takie 4 sample na krzyz biore (a nie np 4 rogi)
	   I widac, tez czemu nie biore 5, tylko 4
	 */	
	TexCoord0 = vec2(inTexCoord.x - STEP_H, inTexCoord.y         );
	TexCoord1 = vec2(inTexCoord.x + STEP_H, inTexCoord.y         );
	TexCoord2 = vec2(inTexCoord.x         , inTexCoord.y - STEP_V);
	TexCoord3 = vec2(inTexCoord.x         , inTexCoord.y + STEP_V);
}