uniform mediump mat4 PROJECTIONMATRIX;
uniform mediump mat4 MODELVIEWMATRIX;

attribute highp vec3 inVertex;
attribute mediump vec2 inTexCoord;
attribute mediump vec2 inTexCoord2;

varying mediump vec2 TexCoord;
varying mediump vec2 TexCoord2;

void main(void)
{
	gl_Position = PROJECTIONMATRIX * (MODELVIEWMATRIX * vec4(inVertex, 1.0));
	TexCoord = inTexCoord;	
	TexCoord2 = inTexCoord2;	
}
