uniform mediump mat4 PROJECTIONMATRIX;

/* highp bo niektore obiekty korzystajace z tego shadera generuja geometrie w ukladzie swiata a nie modelu.
   I wtedy to nie jest macierz modelView, a view. I mamy bardzo duze liczby i precyzja ginie
   Taki problem byl np z vaporem, ale laser tez z tego korzysta i cos jeszcze moze
*/
uniform highp mat4 MODELVIEWMATRIX;

attribute highp vec3 inVertex;
attribute mediump vec2 inTexCoord;

varying mediump vec2 TexCoord;

void main(void)
{
	gl_Position = PROJECTIONMATRIX * (MODELVIEWMATRIX * vec4(inVertex, 1.0));
	TexCoord = inTexCoord;
}